<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Голова"
	description="Отображает сообщения на экране" fileName="NPCFaceHead.jar"
	className="org.mati.npc.faces.NPCFaceHead" version="9345"
	time="17.02.2009 16:31:02">

	<Group>Ночной депозитарий</Group>

	<!-- INLINKS -->
	<INLink name="InMessageBoxHandler"
		description="Входящая связь. Служит для передачи сообщений компоненту"
		interfaceName="org.mati.npc.components.interfaces.NPCMessageBoxHandler"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- ATTRIBUTES -->
	<Attribute name="AlwaysOnTop" description="Отображать поверх всех окон экран сообщений"
		defaultValue="true"
		type="java.lang.Boolean" nullable="false">
	</Attribute>
	<Attribute name="MultiscreenDeviceNumber"
		description="Номер монитора, на котором будет отображаться экран сообщений"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="600"
		type="java.lang.Integer">
	</Attribute>

</ClassComponent>
